Skip to content
Guides
API reference
stableasset:read

Get asset

Get an asset by ID

GET/v1/storage/assets/{id}

Get an asset by ID

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Path Parameters

id*string

Unique identifier of the resource.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/storage/assets/string"
{  "id": "string",  "fileName": "string",  "publicUrl": "string",  "contentType": "string",  "size": 0,  "width": null,  "height": null,  "altText": null,  "directory": "string",  "metadata": {    "property1": "string",    "property2": "string"  },  "createdOn": "2019-08-24T14:15:22Z"}